package com.wall.exquisite.wallpaper.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "z99sdrvrcmrnsr4b"
        const val TOP_ON_AD_TOW = "q3apcnd67q25tkr7"
        const val TOP_ON_AD_THREE = "hrnbibnvrc7akls1"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}